﻿
try
{
    System.Gadget.settingsUI = "settings.html";
    System.Gadget.onSettingsClosing = settingsClosing;
    initSettings();
}
catch(ex)
{// running in browser, no System.Gadget namespace available
}


function initSettings()
{
    if(getSetting("radarType")==null || getSetting("radarType")=="" || getSetting("radarType")==0) {    
        setSetting("radarType", "static");
        setSetting("refreshSeconds", 300);
        setSetting("refreshSelectedIndex", 0);
        InitPosition('radar_image');
    }
}

function loadSettings()
{    
    var radarType = getSetting("radarType");
    if(radarType=="static") 
        radarTypeStatic.status=true;
    else
        radarTypeDynamic.status=true;                 
    refreshMinutes.selectedIndex = getSetting("refreshSelectedIndex");
}

function settingsClosing(event)
{
    if (event.closeAction == event.Action.commit)
    {   
        var radarTypeSetting = radarTypeDynamic.status ? "dynamic" : "static";
        
        var n = refreshMinutes.selectedIndex;    
        refreshSecondsSetting = refreshMinutes[n].value * 60;
        
        setSetting("radarType", radarTypeSetting);
        setSetting("refreshSeconds", refreshSecondsSetting);
        setSetting("refreshSelectedIndex", n);        
    }
}

function setSetting(name, value)
{
    try
    {
        System.Gadget.Settings.write(name, value);        
        return true;
    }
    catch(ex)
    {    
        return false;
    }
}

function getSetting(name)
{
    try
    {
        return System.Gadget.Settings.read(name);
    }
    catch(ex)
    {
        return null;
    }
}

function resetSettings()
{
    setSetting("doReset", true);       
}